Loading...
Searching...
No Matches
assetmgrmodel::AssetStrip::RackUnitChangedEvent Struct Reference

Event: A rack unit has changed. More...

`import <AssetStrip.idl;`

Inheritance diagram for assetmgrmodel::AssetStrip::RackUnitChangedEvent:

## Public Attributes

int | rackUnitNumber
| Affected rack unit index.
RackUnitInfo | rackUnit
| New rack unit information.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A rack unit has changed.

Definition at line 129 of file AssetStrip.idl.

## Member Data Documentation

## rackUnit

RackUnitInfo assetmgrmodel::AssetStrip::RackUnitChangedEvent::rackUnit

New rack unit information.

Definition at line 131 of file AssetStrip.idl.

## rackUnitNumber

int assetmgrmodel::AssetStrip::RackUnitChangedEvent::rackUnitNumber

Affected rack unit index.

Definition at line 130 of file AssetStrip.idl.

The documentation for this struct was generated from the following file:

- AssetStrip.idl